Page MenuHomeMiraheze

[Bug] Images don't display even if options are selected
Closed, InvalidPublic

Description

Even if those configuration options are checked:
Allow External Images
Allow Image Tag

Still images don't display when pasting image links or using <img> HTML tag.

Event Timeline

Revival triaged this task as Normal priority.Jan 26 2020, 08:13
Revival raised the priority of this task from Normal to Needs Triage.
Revival created this task.
Reception123 triaged this task as Normal priority.Jan 26 2020, 09:33
Reception123 edited projects, added MediaWiki; removed Configuration.
Reception123 moved this task from Backlog to Bugs on the MediaWiki board.

Sorry for the very late response, we have been busy with our migration. Could you please link us to a specific page?

Reception123 closed this task as Declined.Apr 7 2020, 16:04
Reception123 claimed this task.

No response in almost a week. I'm really sorry this took so much for us to answer. If you still need this please reopen the task and we will be sure to look into it fast this time.

Revival reopened this task as Open.Apr 28 2020, 15:46

Sorry for the very late response, we have been busy with our migration. Could you please link us to a specific page?

Please check email. The link of the test page is sent. Thank you.

Due to our CSP (Content Security Policy) sites that are not on the whitelist will be denied access. Are these links necessary to the functioning of your wiki?

Revival added a comment.Apr 29 2020, 14:17

@Reception123 That would be a big issue. This renders those options (to allow external images) practically useless.

We have quite a few pages which need to show external images from various sources.

Is it possible to whitelist all common images (e.g. jpeg, jpg, png, gif, svg, ico), regardless of the domain?

It is a private wiki. There will be no malicious editor. The risk is very low.

Revival added a comment.EditedApr 29 2020, 15:18

@Reception123 It would be glad if those sites could be whitelisted. Thank you.

Image sites / hosters:
googleusercontent.com
pasteboard.co
snipboard.io
snag.gy
imgbox.com
imagebam.com
bayimg.com
flickr.com
photobucket.com
dropbox.com
dropboxstatic.com

Social network related:
redd.it
reddit.com
twimg.com
twitter.com

Revival updated the task description. (Show Details)May 15 2020, 11:38
AmandaCath closed this task as Invalid.Jun 17 2020, 17:59
AmandaCath added a subscriber: AmandaCath.

This is being tracked in T5685 and T5614. Both of these changes have been made and approved but are currently waiting on merge/implementation.